import 'package:flutter/material.dart';
import 'package:multimedia_gallery/multimedia_gallery.dart';

class AudioScreen extends StatelessWidget {
  const AudioScreen({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        body: Stack(children: [
      AudioViewer(
          path: 'audio/driftveil_city.mp3',
          file: 'assets',
          image: const NetworkImage('https://media1.tenor.com/m/gZ9Ej8VIXFQAAAAC/dragon.gif'),
          songName: 'Driftveil City - Toothless Dancing Meme',
          artistName: 'Anytunz lllllllllllllllllllllklmjghklnmkygmdfgfksgdkhgbs'),
      Container(
          padding: const EdgeInsets.only(top: 42, left: 8),
          child: IconButton(onPressed: () => Navigator.of(context).pop(), icon: const Icon(Icons.arrow_back)))
    ]));
  }
}
