import 'package:flutter/material.dart';
import 'package:multimedia_gallery/multimedia_gallery.dart';

class VideoScreen extends StatelessWidget {
  const VideoScreen({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        appBar: AppBar(
            leading: IconButton(onPressed: () => Navigator.of(context).pop(), icon: const Icon(Icons.arrow_back))),
        body: SafeArea(
            child: SizedBox(
                height: MediaQuery.of(context).size.height - (MediaQuery.of(context).padding.top + kToolbarHeight),
                child:
                      Center(
                        child: SizedBox(
                            height: MediaQuery.of(context).size.height * .3,
                            child: const VideoViewer(
                                uri: 'https://flutter.github.io/assets-for-api-docs/assets/videos/butterfly.mp4')),
                      )
                   )));
  }
}
